package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWF123Response {

    @Parameter(name = "AAAdresat")
    String aAAdresat();

    @Parameter(name = "AACO")
    String aaco();

    @Parameter(name = "AACP")
    String aacp();

    @Parameter(name = "AAObec")
    String aAObec();

    @Parameter(name = "AAPSC")
    String aapsc();

    @Parameter(name = "AAPosta")
    String aAPosta();

    @Parameter(name = "AAUlice")
    String aAUlice();

    @Parameter(name = "AAZeme")
    String aAZeme();

    @Parameter(name = "AP")
    String ap();

    @Parameter(name = "AVZamOdData")
    java.util.Date aVZamOdData();

    @Parameter(name = "AZCO")
    String azco();

    @Parameter(name = "AZCP")
    String azcp();

    @Parameter(name = "AZObec")
    String aZObec();

    @Parameter(name = "AZPSC")
    String azpsc();

    @Parameter(name = "AZUlice")
    String aZUlice();

    @Parameter(name = "CCTypFormulare")
    String cCTypFormulare();

    @Parameter(name = "CisloBU")
    String cisloBU();

    @Parameter(name = "CisloDruhyDoklad")
    String cisloDruhyDoklad();

    @Parameter(name = "CisloOP")
    String cisloOP();

    @Parameter(name = "CisloPasu")
    String cisloPasu();

    @Parameter(name = "CistyMesicPrijem")
    Double cistyMesicPrijem();

    @Parameter(name = "CistyPrijemDomacnosti")
    Double cistyPrijemDomacnosti();

    @Parameter(name = "DatumKoncePracPomeru")
    java.util.Date datumKoncePracPomeru();

    @Parameter(name = "DatumPodpisuZadosti")
    java.util.Date datumPodpisuZadosti();

    @Parameter(name = "DatumZalBU")
    java.util.Date datumZalBU();

    @Parameter(name = "DruhBU")
    String druhBU();

    @Parameter(name = "DruhBydleni")
    String druhBydleni();

    @Parameter(name = "DruhVypisu")
    String druhVypisu();

    @Parameter(name = "DruhyDoklad")
    String druhyDoklad();

    @Parameter(name = "DuvodZamitnuti")
    String duvodZamitnuti();

    @Parameter(name = "Email")
    String email();

    @Parameter(name = "EvidencniCislo")
    String evidencniCislo();

    @Parameter(name = "Heslo")
    String heslo();

    @Parameter(name = "JineMesSplatky")
    Double jineMesSplatky();

    @Parameter(name = "JmenoKrestni")
    String jmenoKrestni();

    @Parameter(name = "KodAkceFlex")
    String kodAkceFlex();

    @Parameter(name = "KodOM")
    String kodOM();

    @Parameter(name = "KodProduktu")
    String kodProduktu();

    @Parameter(name = "KodProduktuSchvaleneho")
    String kodProduktuSchvaleneho();

    @Parameter(name = "NAJZahrICO")
    String nAJZahrICO();

    @Parameter(name = "NAJZahrPSC")
    String nAJZahrPSC();

    @Parameter(name = "NAJZahrTel")
    String nAJZahrTel();

    @Parameter(name = "NAJZahrZam")
    String nAJZahrZam();

    @Parameter(name = "NAJ_ZAM_ZEME")
    String najZamZeme();

    @Parameter(name = "ObratMesic1")
    String obratMesic1();

    @Parameter(name = "ObratMesic2")
    String obratMesic2();

    @Parameter(name = "ObratMesic3")
    String obratMesic3();

    @Parameter(name = "ObratPrijem1")
    Double obratPrijem1();

    @Parameter(name = "ObratPrijem2")
    Double obratPrijem2();

    @Parameter(name = "ObratPrijem3")
    Double obratPrijem3();

    @Parameter(name = "ObratRok1")
    Long obratRok1();

    @Parameter(name = "ObratRok2")
    Long obratRok2();

    @Parameter(name = "ObratRok3")
    Long obratRok3();

    @Parameter(name = "PlatnostOPDo")
    java.util.Date platnostOPDo();

    @Parameter(name = "PlatnostPasuDo")
    java.util.Date platnostPasuDo();

    @Parameter(name = "PobytNaSoucAdreseOdRoku")
    Long pobytNaSoucAdreseOdRoku();

    @Parameter(name = "PocetVyzivovanychOsob")
    Long pocetVyzivovanychOsob();

    @Parameter(name = "PoplatkovatFlexikreditFPGenius")
    Long poplatkovatFlexikreditFPGenius();

    @Parameter(name = "PouzitaAA")
    String pouzitaAA();

    @Parameter(name = "Povolani")
    String povolani();

    @Parameter(name = "PracovniPomer")
    String pracovniPomer();

    @Parameter(name = "PredlDokladIndex")
    String predlDokladIndex();

    @Parameter(name = "PredlDokladOStudiu")
    String predlDokladOStudiu();

    @Parameter(name = "PredlDokladPrijem")
    String predlDokladPrijem();

    @Parameter(name = "PredlDokladSIPO")
    String predlDokladSIPO();

    @Parameter(name = "PredlDokladUcetNajem")
    String predlDokladUcetNajem();

    @Parameter(name = "PredlDokladVypisUcet")
    String predlDokladVypisUcet();

    @Parameter(name = "PredlDokladVyuctTelefon")
    String predlDokladVyuctTelefon();

    @Parameter(name = "Prijmeni")
    String prijmeni();

    @Parameter(name = "PrimarniUrednik")
    String primarniUrednik();

    @Parameter(name = "Rezident")
    String rezident();

    @Parameter(name = "RodneCislo")
    String rodneCislo();

    @Parameter(name = "StatniPrislusnost")
    String statniPrislusnost();

    @Parameter(name = "Stav")
    String stav();

    @Parameter(name = "StavRodinny")
    String stavRodinny();

    @Parameter(name = "TACO")
    String taco();

    @Parameter(name = "TACP")
    String tacp();

    @Parameter(name = "TAObec")
    String tAObec();

    @Parameter(name = "TAPSC")
    String tapsc();

    @Parameter(name = "TAPosta")
    String tAPosta();

    @Parameter(name = "TAUlice")
    String tAUlice();

    @Parameter(name = "TAZeme")
    String tAZeme();

    @Parameter(name = "TelefonDalsi")
    String telefonDalsi();

    @Parameter(name = "TelefonDalsiPredvolba")
    String telefonDalsiPredvolba();

    @Parameter(name = "TelefonDoZamPredvolba")
    String telefonDoZamPredvolba();

    @Parameter(name = "TelefonDoZamestnani")
    String telefonDoZamestnani();

    @Parameter(name = "TelefonDomu")
    String telefonDomu();

    @Parameter(name = "TelefonDomuPredvolba")
    String telefonDomuPredvolba();

    @Parameter(name = "TelefonMobilni")
    String telefonMobilni();

    @Parameter(name = "TelefonMobilniDoZamestnani")
    String telefonMobilniDoZamestnani();

    @Parameter(name = "TelefonMobilniDoZamestnaniPredvolba")
    String telefonMobilniDoZamestnaniPredvolba();

    @Parameter(name = "TelefonMobilniPredvolba")
    String telefonMobilniPredvolba();

    @Parameter(name = "TypUhrady")
    String typUhrady();

    @Parameter(name = "UrokovaSazba")
    Double urokovaSazba();

    @Parameter(name = "UrokovaSazbaSchvaleno")
    Double urokovaSazbaSchvaleno();

    @Parameter(name = "VZamOdRoku")
    Long vZamOdRoku();

    @Parameter(name = "Vypracovat")
    String vypracovat();

    @Parameter(name = "VyseRamce")
    Double vyseRamce();

    @Parameter(name = "VyseRamceSchvaleno")
    Double vyseRamceSchvaleno();

    @Parameter(name = "Vzdelani")
    String vzdelani();

    @Parameter(name = "ZakaznikSeZvlVztahem")
    String zakaznikSeZvlVztahem();

    @Parameter(name = "ZakladDane")
    Double zakladDane();

    @Parameter(name = "Zalozit_BU")
    String zalozitBU();

    @Parameter(name = "ZamestnavatelICO")
    String zamestnavatelICO();

    @Parameter(name = "ZamestnavatelNazev")
    String zamestnavatelNazev();

    @Parameter(name = "ZdrojZadosti")
    String zdrojZadosti();

}